Name:           libva-nvidia-driver
Version:        0.0.10
Release:        1
Summary:        A VA-API implemention using NVIDIA's NVDEC

License:        MIT
URL:            https://github.com/elFarto/nvidia-vaapi-driver
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(ffnvcodec)
BuildRequires:  pkgconfig(gstreamer-va-1.0)
Conflicts:      libva-vdpau-driver

%description
This is an VA-API implementation that uses NVDEC as a backend. This
implementation is specifically designed to be used by Firefox for accelerated
decode of web content, and may not operate correctly in other applications.

%prep
%autosetup -n nvidia-vaapi-driver-%{version}

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc README.md
%license COPYING
%{_libdir}/dri/nvidia_drv_video.so

%changelog
* Wed Jun 28 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.0.10-1
- Update to 0.0.10

* Sat Mar 04 2023 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.5-1
- Initial version
